<?php

namespace app\common\dao\store;

use app\common\dao\BaseDao;
use app\common\model\store\GuaranteeValue;

class GuaranteeValueDao extends BaseDao
{


    protected function getModel(): string
    {
        return GuaranteeValue::class;
    }

    public function chageStatus(int $id,int $status)
    {
        $this->getModel()::getDB()->where('guarantee_id',$id)->update(['status' => $status]);
    }

    public function clear($id)
    {
        $this->getModel()::getDB()->where('guarantee_template_id',$id)->delete();
    }
}
